output: main.o function.o
	g++ main.o function.o -o output  -Wconversion -Wall

main.o: main.cpp function.h
	g++ -c main.cpp  -Wconversion -Wall

function.o: function.cpp function.h
	g++ -c function.cpp -Wconversion -Wall

clean:
	rm -f *.o *.exe .~* *.gch output
